Commit 840a3b8f authored by philm's avatar philm

linux: enable tuxonice optional

linux-3-CHAKRA: update PATCHCFG
extramodules: rebuild for new kernel
parent d74a0df3
......@@ -10,7 +10,7 @@ _kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=acpi_call
pkgver=20120115
pkgrel=2
pkgrel=3
pkgdesc="A kernel module that enables you to call parameterless ACPI methods by writing the method name to /proc/acpi/call, e.g. to turn off discrete graphics card in a dual graphics environment (like NVIDIA Optimus)."
arch=('i686' 'x86_64')
url=("http://github.com/mkottman/acpi_call")
......
......@@ -10,7 +10,7 @@ _kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=broadcom-wl
pkgver=5.100.82.112
pkgrel=4
pkgrel=5
pkgdesc='Broadcom 802.11abgn hybrid Linux networking device driver'
arch=('i686' 'x86_64')
url='http://www.broadcom.com/support/802.11/linux_sta.php'
......
#
# Core Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
pkgname=hibernate-script
pkgver=2.0
pkgrel=1
pkgdesc="Set of scripts for managing tux on ice, hibernation and suspend to RAM"
arch=('any')
url="http://www.tuxonice.net"
license=('GPL')
depends=('sh')
options=(!strip)
backup=('etc/hibernate/hibernate.conf' 'etc/hibernate/tuxonice.conf' \
'etc/hibernate/disk.conf' 'etc/hibernate/ram.conf' \
'etc/hibernate/common.conf' 'etc/hibernate/blacklisted-modules' \
'etc/hibernate/ususpend-both.conf' 'etc/hibernate/sysfs-ram.conf' \
'etc/hibernate/ususpend-ram.conf' 'etc/hibernate/sysfs-disk.conf' \
'etc/hibernate/ususpend-disk.conf')
source=(http://tuxonice.net/files/${pkgname}-${pkgver}.tar.gz
hibernate-script-${pkgver}-chakra.patch
hibernate.rc)
md5sums=('5c21770afbae503450e3c4a5502bf29d'
'09e0d47e0d46d94da64c26a12a29afee'
'5d7e83902a00bf72b1de97a5450a558e')
build() {
cd ${srcdir}/${pkgname}-${pkgver}
# Fix scriptlets to work properly with Chakra GNU/Linux
patch -Np1 -i ${srcdir}/${pkgname}-${pkgver}-chakra.patch
}
package() {
cd ${srcdir}/${pkgname}-${pkgver}
export BASE_DIR=${pkgdir}
export PREFIX=/usr
export MAN_DIR=$BASE_DIR$PREFIX/share/man
install -dm755 ${pkgdir}/etc/{rc,logrotate}.d
./install.sh || return 1
install -m 755 $srcdir/hibernate.rc $pkgdir/etc/rc.d/hibernate-cleanup
# Allow for behaviour as in man-page (calling by hibernate-* uses
# /etc/hibernate/*.conf file.
ln -s /usr/sbin/hibernate ${pkgdir}/usr/sbin/hibernate-ram
ln -s /usr/sbin/hibernate ${pkgdir}/usr/sbin/hibernate-disk
}
diff -Nur hibernate-script-1.96.orig/common.conf hibernate-script-1.96/common.conf
--- hibernate-script-1.96.orig/common.conf 2007-07-16 14:32:41.000000000 +0200
+++ hibernate-script-1.96/common.conf 2007-08-26 17:44:47.000000000 +0200
@@ -14,7 +14,7 @@
# AlwaysForce yes
# AlwaysKill yes
# HibernateVT 15
-# Distribution debian (or fedora/gentoo/mandrake/redhat/slackware/suse)
+Distribution chakra
# XDisplay :0
##############################################################################
diff -Nur hibernate-script-1.96.orig/scriptlets.d/hardware_tweaks hibernate-script-1.96/scriptlets.d/hardware_tweaks
--- hibernate-script-1.96.orig/scriptlets.d/hardware_tweaks 2007-07-16 14:33:09.000000000 +0200
+++ hibernate-script-1.96/scriptlets.d/hardware_tweaks 2007-08-26 17:44:47.000000000 +0200
@@ -86,7 +86,7 @@
local action
action=start
[ "$DISTRIBUTION" = "gentoo" ] && action=restart
- /etc/init.d/915resolution $action || return 1
+ /etc/rc.d/915resolution $action || return 1
return 0
}
diff -Nur hibernate-script-1.96.orig/scriptlets.d/network hibernate-script-1.96/scriptlets.d/network
--- hibernate-script-1.96.orig/scriptlets.d/network 2007-07-16 14:33:09.000000000 +0200
+++ hibernate-script-1.96/scriptlets.d/network 2007-08-26 17:44:47.000000000 +0200
@@ -90,6 +90,14 @@
NetworkDetectDistro() {
# Use either a given $DISTRIBUTION or autodetect one.
case "$DISTRIBUTION" in
+ chakra)
+ network_ifup() {
+ /etc/rc.d/network ifup $1
+ }
+ network_ifdown() {
+ /etc/rc.d/network ifdown $1
+ }
+ ;;
gentoo)
network_ifup() {
[ -x "/etc/init.d/net.$1" ] && /etc/init.d/net.$1 start
diff -Nur hibernate-script-1.96.orig/scriptlets.d/services hibernate-script-1.96/scriptlets.d/services
--- hibernate-script-1.96.orig/scriptlets.d/services 2007-07-16 14:33:09.000000000 +0200
+++ hibernate-script-1.96/scriptlets.d/services 2007-08-26 17:44:47.000000000 +0200
@@ -75,7 +75,7 @@
debian|ubuntu|redhat|fedora)
INITDIR=/etc/init.d
;;
- slackware)
+ slackware|chakra)
INITDIR=/etc/rc.d
;;
*)
#!/bin/sh
. /etc/rc.conf
. /etc/rc.d/functions
# This script invalidates any stale swsusp and Software Suspend 2 images. It
# searches all swap partitions on your machine, as well as Suspend2's
# filewriter files (by way of the hibernate script telling it where to find
# it).
#
# It should be called on boot, after mounting filesystems, but before enabling
# swap or clearing out /var/run. Copy this into /etc/init.d/ (or the appropriate
# place on your system), then add a symlink at the appropriate point on boot.
# On a Debian system, you would do this:
# update-rc.d hibernate-cleanup.sh start 31 S .
#
# On other SysV-based systems, you would do something like:
# ln -s ../init.d/hibernate-cleanup.sh /etc/rcS.d/S31hibernate-cleanup.sh
HIBERNATE_FILEWRITER_TRAIL="/var/run/suspend2_filewriter_image_exists"
clear_swap() {
local where wason
where=$1
wason=
swapoff $where 2>/dev/null && wason=yes
mkswap $where > /dev/null || stat_append " (failed: $?)"
[ -n "$wason" ] && swapon $where
}
check_swap_sig() {
local where what type rest p c
while read where what type rest ; do
test "$type" = "swap" || continue
case "$(dd if=$where bs=1 count=6 skip=4086 2>/dev/null)" in
S1SUSP|S2SUSP|ULSUSP|pmdisk|[zZ]*)
stat_append "$where"
clear_swap $where
stat_append ", "
esac
done < /etc/fstab
}
check_filewriter_sig() {
local target
[ -f "$HIBERNATE_FILEWRITER_TRAIL" ] || return 0
read target < $HIBERNATE_FILEWRITER_TRAIL
[ -f "$target" ] || return
case "`dd \"if=$target\" bs=8 count=1 2>/dev/null`" in
HaveImag)
/bin/echo -ne "Suspend2\n\0\0" | dd "of=$target" bs=11 count=1 conv=notrunc 2>/dev/null
stat_append -n "$target, "
rm -f $HIBERNATE_FILEWRITER_TRAIL
esac
}
case "$1" in
start)
stat_busy "Invalidating stale software suspend images... "
check_swap_sig
check_filewriter_sig
stat_done
;;
stop)
;;
*)
echo "Usage: $0 {start|stop}"
esac
This diff is collapsed.
......@@ -10,10 +10,10 @@ pkgname=('linux' 'linux-headers' 'linux-docs') # Build stock -CHAKRA kernel
_kernelname=${pkgname#linux}
_basekernel=3.2
pkgver=${_basekernel}.6
pkgrel=1
pkgrel=2
_aufs="3.2-20120109"
makedepends=('xmlto' 'docbook-xsl')
_patchname="patch-${pkgver}-1-CHAKRA"
_patchname="patch-${pkgver}-2-CHAKRA"
arch=(i686 x86_64)
license=('GPL2')
url="http://www.kernel.org"
......@@ -25,9 +25,9 @@ source=(ftp://ftp.kernel.org/pub/linux/kernel/v3.0/linux-$_basekernel.tar.bz2
# standard config files for mkinitcpio ramdisk
linux.preset)
md5sums=('7ceb61f87c097fc17509844b71268935'
'e922bb4becc09af7fdd619fccc3d0864'
'6dd15efc7ea992c4b58e05b3aa0143bf'
'b9d2582a0dda0ba06925c5eddb9283d8'
'39d82b135100a8263d2795e0b78848b7'
'53c47f317f51be3aadc3ef53e70d286e'
'95e399c430f2f1c6e5988480b65e609d'
'b019872ce926de3ec82985fc399832c6')
build() {
......
......@@ -483,7 +483,7 @@ CONFIG_TOI_USERUI=y
CONFIG_TOI_USERUI_DEFAULT_PATH="/usr/sbin/tuxoniceui"
CONFIG_TOI_DEFAULT_IMAGE_SIZE_LIMIT=-2
# CONFIG_TOI_KEEP_IMAGE is not set
CONFIG_TOI_REPLACE_SWSUSP=y
# CONFIG_TOI_REPLACE_SWSUSP is not set
# CONFIG_TOI_IGNORE_LATE_INITCALL is not set
CONFIG_TOI_DEFAULT_WAIT=25
CONFIG_TOI_DEFAULT_EXTRA_PAGES_ALLOWANCE=7500
......@@ -746,7 +746,7 @@ CONFIG_DEFAULT_CUBIC=y
# CONFIG_DEFAULT_RENO is not set
CONFIG_DEFAULT_TCP_CONG="cubic"
# CONFIG_TCP_MD5SIG is not set
CONFIG_IPV6=m
CONFIG_IPV6=y
CONFIG_IPV6_PRIVACY=y
CONFIG_IPV6_ROUTER_PREF=y
CONFIG_IPV6_ROUTE_INFO=y
......@@ -4038,7 +4038,7 @@ CONFIG_FB_SYS_IMAGEBLIT=m
CONFIG_FB_SYS_FOPS=m
# CONFIG_FB_WMT_GE_ROPS is not set
CONFIG_FB_DEFERRED_IO=y
CONFIG_FB_SVGALIB=m
# CONFIG_FB_SVGALIB is not set
# CONFIG_FB_MACMODES is not set
CONFIG_FB_BACKLIGHT=y
CONFIG_FB_MODE_HELPERS=y
......@@ -4047,73 +4047,48 @@ CONFIG_FB_TILEBLITTING=y
#
# Frame buffer hardware drivers
#
CONFIG_FB_CIRRUS=m
CONFIG_FB_PM2=m
CONFIG_FB_PM2_FIFO_DISCONNECT=y
CONFIG_FB_CYBER2000=m
CONFIG_FB_CYBER2000_DDC=y
# CONFIG_FB_CIRRUS is not set
# CONFIG_FB_PM2 is not set
# CONFIG_FB_CYBER2000 is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_IMSTT is not set
# CONFIG_FB_VGA16 is not set
CONFIG_FB_VGA16=m
CONFIG_FB_UVESA=m
CONFIG_FB_VESA=y
CONFIG_FB_EFI=y
# CONFIG_FB_N411 is not set
# CONFIG_FB_HGA is not set
# CONFIG_FB_S1D13XXX is not set
CONFIG_FB_NVIDIA=m
CONFIG_FB_NVIDIA_I2C=y
# CONFIG_FB_NVIDIA_DEBUG is not set
CONFIG_FB_NVIDIA_BACKLIGHT=y
CONFIG_FB_RIVA=m
CONFIG_FB_RIVA_I2C=y
# CONFIG_FB_RIVA_DEBUG is not set
CONFIG_FB_RIVA_BACKLIGHT=y
# CONFIG_FB_NVIDIA is not set
# CONFIG_FB_RIVA is not set
CONFIG_FB_I810=m
# CONFIG_FB_I810_GTF is not set
CONFIG_FB_LE80578=m
CONFIG_FB_CARILLO_RANCH=m
CONFIG_FB_I810_GTF=y
CONFIG_FB_I810_I2C=y
# CONFIG_FB_LE80578 is not set
# CONFIG_FB_MATROX is not set
CONFIG_FB_RADEON=m
CONFIG_FB_RADEON_I2C=y
CONFIG_FB_RADEON_BACKLIGHT=y
# CONFIG_FB_RADEON_DEBUG is not set
CONFIG_FB_ATY128=m
CONFIG_FB_ATY128_BACKLIGHT=y
CONFIG_FB_ATY=m
CONFIG_FB_ATY_CT=y
CONFIG_FB_ATY_GENERIC_LCD=y
CONFIG_FB_ATY_GX=y
CONFIG_FB_ATY_BACKLIGHT=y
CONFIG_FB_S3=m
CONFIG_FB_S3_DDC=y
CONFIG_FB_SAVAGE=m
CONFIG_FB_SAVAGE_I2C=y
CONFIG_FB_SAVAGE_ACCEL=y
CONFIG_FB_SIS=m
CONFIG_FB_SIS_300=y
CONFIG_FB_SIS_315=y
CONFIG_FB_VIA=m
# CONFIG_FB_VIA_DIRECT_PROCFS is not set
CONFIG_FB_VIA_X_COMPATIBILITY=y
CONFIG_FB_NEOMAGIC=m
CONFIG_FB_KYRO=m
CONFIG_FB_3DFX=m
CONFIG_FB_3DFX_ACCEL=y
CONFIG_FB_3DFX_I2C=y
# CONFIG_FB_RADEON is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
# CONFIG_FB_S3 is not set
# CONFIG_FB_SAVAGE is not set
# CONFIG_FB_SIS is not set
# CONFIG_FB_VIA is not set
# CONFIG_FB_NEOMAGIC is not set
# CONFIG_FB_KYRO is not set
# CONFIG_FB_3DFX is not set
CONFIG_FB_VOODOO1=m
CONFIG_FB_VT8623=m
CONFIG_FB_TRIDENT=m
# CONFIG_FB_VT8623 is not set
# CONFIG_FB_TRIDENT is not set
# CONFIG_FB_ARK is not set
# CONFIG_FB_PM3 is not set
# CONFIG_FB_CARMINE is not set
# CONFIG_FB_GEODE is not set
# CONFIG_FB_TMIO is not set
# CONFIG_FB_SM501 is not set
CONFIG_FB_SMSCUFX=m
# CONFIG_FB_SMSCUFX is not set
CONFIG_FB_UDL=m
# CONFIG_FB_VIRTUAL is not set
CONFIG_FB_VIRTUAL=m
# CONFIG_FB_METRONOME is not set
# CONFIG_FB_MB862XX is not set
# CONFIG_FB_BROADSHEET is not set
......
......@@ -470,7 +470,7 @@ CONFIG_TOI_USERUI=y
CONFIG_TOI_USERUI_DEFAULT_PATH="/usr/sbin/tuxoniceui"
CONFIG_TOI_DEFAULT_IMAGE_SIZE_LIMIT=-2
# CONFIG_TOI_KEEP_IMAGE is not set
CONFIG_TOI_REPLACE_SWSUSP=y
# CONFIG_TOI_REPLACE_SWSUSP is not set
# CONFIG_TOI_IGNORE_LATE_INITCALL is not set
CONFIG_TOI_DEFAULT_WAIT=25
CONFIG_TOI_DEFAULT_EXTRA_PAGES_ALLOWANCE=7500
......@@ -708,7 +708,7 @@ CONFIG_DEFAULT_CUBIC=y
# CONFIG_DEFAULT_RENO is not set
CONFIG_DEFAULT_TCP_CONG="cubic"
# CONFIG_TCP_MD5SIG is not set
CONFIG_IPV6=m
CONFIG_IPV6=y
CONFIG_IPV6_PRIVACY=y
CONFIG_IPV6_ROUTER_PREF=y
CONFIG_IPV6_ROUTE_INFO=y
......@@ -3877,72 +3877,48 @@ CONFIG_FB_TILEBLITTING=y
#
# Frame buffer hardware drivers
#
CONFIG_FB_CIRRUS=m
CONFIG_FB_PM2=m
CONFIG_FB_PM2_FIFO_DISCONNECT=y
CONFIG_FB_CYBER2000=m
CONFIG_FB_CYBER2000_DDC=y
# CONFIG_FB_CIRRUS is not set
# CONFIG_FB_PM2 is not set
# CONFIG_FB_CYBER2000 is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_IMSTT is not set
# CONFIG_FB_VGA16 is not set
CONFIG_FB_VGA16=m
CONFIG_FB_UVESA=m
CONFIG_FB_VESA=y
CONFIG_FB_EFI=y
# CONFIG_FB_N411 is not set
# CONFIG_FB_HGA is not set
# CONFIG_FB_S1D13XXX is not set
CONFIG_FB_NVIDIA=m
CONFIG_FB_NVIDIA_I2C=y
# CONFIG_FB_NVIDIA_DEBUG is not set
CONFIG_FB_NVIDIA_BACKLIGHT=y
CONFIG_FB_RIVA=m
CONFIG_FB_RIVA_I2C=y
# CONFIG_FB_RIVA_DEBUG is not set
CONFIG_FB_RIVA_BACKLIGHT=y
CONFIG_FB_LE80578=m
CONFIG_FB_CARILLO_RANCH=m
# CONFIG_FB_NVIDIA is not set
# CONFIG_FB_RIVA is not set
CONFIG_FB_I810=m
CONFIG_FB_I810_GTF=y
CONFIG_FB_I810_I2C=y
# CONFIG_FB_LE80578 is not set
# CONFIG_FB_MATROX is not set
CONFIG_FB_RADEON=m
CONFIG_FB_RADEON_I2C=y
CONFIG_FB_RADEON_BACKLIGHT=y
# CONFIG_FB_RADEON_DEBUG is not set
CONFIG_FB_ATY128=m
CONFIG_FB_ATY128_BACKLIGHT=y
CONFIG_FB_ATY=m
CONFIG_FB_ATY_CT=y
CONFIG_FB_ATY_GENERIC_LCD=y
CONFIG_FB_ATY_GX=y
CONFIG_FB_ATY_BACKLIGHT=y
CONFIG_FB_S3=m
CONFIG_FB_S3_DDC=y
CONFIG_FB_SAVAGE=m
CONFIG_FB_SAVAGE_I2C=y
CONFIG_FB_SAVAGE_ACCEL=y
CONFIG_FB_SIS=m
CONFIG_FB_SIS_300=y
CONFIG_FB_SIS_315=y
CONFIG_FB_VIA=m
# CONFIG_FB_VIA_DIRECT_PROCFS is not set
CONFIG_FB_VIA_X_COMPATIBILITY=y
CONFIG_FB_NEOMAGIC=m
CONFIG_FB_KYRO=m
CONFIG_FB_3DFX=m
CONFIG_FB_3DFX_ACCEL=y
CONFIG_FB_3DFX_I2C=y
# CONFIG_FB_RADEON is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
# CONFIG_FB_S3 is not set
# CONFIG_FB_SAVAGE is not set
# CONFIG_FB_SIS is not set
# CONFIG_FB_VIA is not set
# CONFIG_FB_NEOMAGIC is not set
# CONFIG_FB_KYRO is not set
# CONFIG_FB_3DFX is not set
CONFIG_FB_VOODOO1=m
CONFIG_FB_VT8623=m
CONFIG_FB_TRIDENT=m
# CONFIG_FB_VT8623 is not set
# CONFIG_FB_TRIDENT is not set
# CONFIG_FB_ARK is not set
# CONFIG_FB_PM3 is not set
# CONFIG_FB_CARMINE is not set
# CONFIG_FB_GEODE is not set
# CONFIG_FB_TMIO is not set
# CONFIG_FB_SM501 is not set
CONFIG_FB_SMSCUFX=m
# CONFIG_FB_SMSCUFX is not set
CONFIG_FB_UDL=m
# CONFIG_FB_VIRTUAL is not set
CONFIG_XEN_FBDEV_FRONTEND=m
CONFIG_FB_VIRTUAL=m
# CONFIG_FB_METRONOME is not set
# CONFIG_FB_MB862XX is not set
# CONFIG_FB_BROADSHEET is not set
......
......@@ -13,7 +13,7 @@ _kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=ndiswrapper
pkgver=1.57
pkgrel=2
pkgrel=3
pkgdesc="Module for NDIS (Windows Network Drivers) drivers supplied by vendors. For linux-testing."
license=('GPL')
arch=(i686 x86_64)
......
......@@ -13,7 +13,7 @@ _kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=tiacx
pkgver=20080210
pkgrel=32
pkgrel=33
pkgdesc="OpenSource module for Texas Instruments ACX100/ACX111 wireless chips. For stock chakra kernel"
arch=(i686 x86_64)
url="http://acx100.sourceforge.net/"
......
#
# Core Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
pkgname=tuxonice-userui
pkgver=1.1
pkgrel=1
pkgdesc="TuxOnIce userspace user interface"
url="http://www.tuxonice.net/"
license=("GPL")
install=tuxonice-userui.install
arch=('i686' 'x86_64')
depends=('bash' 'libmng' 'libpng' 'libjpeg' 'lcms' 'freetype2')
makedepends=('git')
options=('!makeflags')
source=(http://tuxonice.net/files/${pkgname}-${pkgver}.tar.gz
userui-install userui-hook pm-utils-hook)
build() {
cd ${srcdir}/${pkgname}
make USE_FBSPLASH=yes
}
package () {
cd ${srcdir}/${pkgname}
install -D -m644 $srcdir/userui-install $pkgdir/lib/initcpio/install/userui
install -D -m644 $srcdir/userui-hook $pkgdir/lib/initcpio/hooks/userui
install -D -m755 $srcdir/pm-utils-hook $pkgdir/etc/pm/sleep.d/80tuxonice-userui
mkdir -p $pkgdir/usr/sbin/
make DESTDIR=$pkgdir PREFIX=/usr install
}
md5sums=('09031bb0dc610664433f6d6865bf3e67'
'a8e8ecb03e319321713652e25bc34a98'
'96a359994273ab0e8baa198914ef0433'
'2f20475979c45787120f7f0b0270a523')
#!/bin/bash
. /usr/lib/pm-utils/functions
case "$1" in
hibernate|suspend)
if [ -d "/sys/power/tuxonice" ]; then
suspend2ui="/sys/power/tuxonice/user_interface/program"
else
suspend2ui="/proc/suspend2/userui_program"
fi
if [ -e "${suspend2ui}" ]; then
names="text"
[ -d /etc/splash/tuxonice ] && names="fbsplash text"
for n in ${names} ; do
p="/usr/sbin/tuxoniceui_${n}"
if [ -x "${p}" ]; then
echo "${p}" > "${suspend2ui}"
break
fi
done
else
exit $NA
fi
;;
*)
exit $NA
;;
esac
exit $?
# This is a default template for a post-install scriptlet. You can
# remove any functions you don't need (and this header).
# arg 1: the new package version
pre_install() {
/bin/true
}
# arg 1: the new package version
post_install() {
echo "To use fbsplash progress screen links symlink you favourite theme"
echo "to /etc/splash/tuxonice:"
echo " ln -sf /etc/splash/darch /etc/splash/tuxonice"
}
# arg 1: the new package version
# arg 2: the old package version
pre_upgrade() {
/bin/true
}
# arg 1: the new package version
# arg 2: the old package version
post_upgrade() {
/bin/true
}
# arg 1: the old package version
pre_remove() {
/bin/true
}
# arg 1: the old package version
post_remove() {
/bin/true
}
op=$1
shift
$op $*
# vim:set ft=sh:
run_hook ()
{
tuxonice_sys="/sys/power/tuxonice"
tuxoniceui_cmd="/usr/sbin/tuxoniceui"
if [ -d $tuxonice_sys -a -x $tuxoniceui_cmd ]; then
if [ -c /dev/fb0 -a -d /etc/splash/tuxonice ]; then
tuxoniceui_opt="-f"
fi
echo $tuxoniceui_cmd $tuxoniceui_opt > $tuxonice_sys/user_interface/program
fi
}
build ()
{
if [ -d /etc/splash/tuxonice ]; then
add_full_dir /etc/splash/tuxonice
fi
add_binary /usr/sbin/tuxoniceui
SCRIPT="userui"
}
help ()
{
cat <<HELPEOF
This hook adds the tuxonice userui to your initramfs. If
/etc/splash/tuxonice exists, it will also add that directory.
HELPEOF
}
......@@ -10,7 +10,7 @@ _kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=vhba-module
pkgver=20110915
pkgrel=2
pkgrel=3
pkgdesc="Kernel module that emulates SCSI devices"
arch=('i686' 'x86_64')
url="http://cdemu.sourceforge.net/"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment